package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.EmsDeviceRbook;

import java.util.List;

/**
 * 设备台账Mapper接口
 *
 * @author ruoyi
 * @date 2024-09-10
 */
public interface EmsDeviceRbookMapper {
    /**
     * 查询设备台账
     *
     * @param id 设备台账主键
     * @return 设备台账
     */
    EmsDeviceRbook selectDeviceRbookById(Long id);

    /**
     * 查询设备台账列表
     *
     * @param deviceRbook 设备台账
     * @return 设备台账集合
     */
    List<EmsDeviceRbook> selectDeviceRbookList(EmsDeviceRbook deviceRbook);

    /**
     * 新增设备台账
     *
     * @param deviceRbook 设备台账
     * @return 结果
     */
    int insertDeviceRbook(EmsDeviceRbook deviceRbook);

    /**
     * 修改设备台账
     *
     * @param deviceRbook 设备台账
     * @return 结果
     */
    int updateDeviceRbook(EmsDeviceRbook deviceRbook);

    /**
     * 删除设备台账
     *
     * @param id 设备台账主键
     * @return 结果
     */
    int deleteDeviceRbookById(Long id);

    /**
     * 批量删除设备台账
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDeviceRbookByIds(Long[] ids);
}
